org.hibernate.search

## Interface FullTextSession

- All Superinterfaces:
    AutoCloseable, javax.persistence.EntityManager, FullTextEntityManager, HibernateEntityManager, QueryProducer, Serializable, Session, SharedSessionContract

      public interface FullTextSession
      extends Session, FullTextEntityManager

  Extends the Hibernate `Session` with fulltext search and indexing capabilities.
  Author:
    Emmanuel Bernard

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.hibernate.Session

      `Session.LockRequest`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FullTextQuery` | `createFullTextQuery(Query luceneQuery, Class<?>... entities)` Create a fulltext query on top of a native Lucene query returning the matching objects of type `entities` and their respective subclasses.
    `FullTextQuery` | `createFullTextQuery(QueryDescriptor descriptor, Class<?>... entities)` Creates a fulltext query from the given query descriptor.
    `FullTextSharedSessionBuilder` | `sessionWithOptions()`

    - ### Methods inherited from interface org.hibernate.Session

      `addEventListeners, buildLockRequest, byId, byId, byMultipleIds, byMultipleIds, byNaturalId, byNaturalId, bySimpleNaturalId, bySimpleNaturalId, cancelQuery, clear, contains, createFilter, createNamedQuery, createQuery, createQuery, createQuery, createQuery, createQuery, delete, delete, disableFetchProfile, disableFilter, disconnect, doReturningWork, doWork, enableFetchProfile, enableFilter, evict, flush, get, get, get, get, get, get, getCacheMode, getCurrentLockMode, getEnabledFilter, getEntityName, getFlushMode, getHibernateFlushMode, getIdentifier, getLobHelper, getSessionFactory, getStatistics, getTypeHelper, isDefaultReadOnly, isDirty, isFetchProfileEnabled, isReadOnly, load, load, load, load, load, load, load, lock, lock, merge, merge, persist, persist, reconnect, refresh, refresh, refresh, refresh, refresh, replicate, replicate, save, save, saveOrUpdate, saveOrUpdate, setCacheMode, setDefaultReadOnly, setFlushMode, setHibernateFlushMode, setReadOnly, update, update`

    - ### Methods inherited from interface org.hibernate.SharedSessionContract

      `beginTransaction, close, createCriteria, createCriteria, createCriteria, createCriteria, createStoredProcedureCall, createStoredProcedureCall, createStoredProcedureCall, getJdbcBatchSize, getNamedProcedureCall, getTenantIdentifier, getTransaction, isConnected, isOpen, setJdbcBatchSize`

    - ### Methods inherited from interface org.hibernate.jpa.HibernateEntityManager

      `getSession`

    - ### Methods inherited from interface javax.persistence.EntityManager

      `close, contains, createEntityGraph, createEntityGraph, createNamedQuery, createNamedStoredProcedureQuery, createNativeQuery, createNativeQuery, createNativeQuery, createStoredProcedureQuery, createStoredProcedureQuery, createStoredProcedureQuery, detach, find, find, find, find, getCriteriaBuilder, getDelegate, getEntityGraph, getEntityGraphs, getEntityManagerFactory, getLockMode, getMetamodel, getProperties, getReference, getTransaction, isJoinedToTransaction, isOpen, joinTransaction, lock, lock, refresh, refresh, refresh, remove, setFlushMode, setProperty, unwrap`

    - ### Methods inherited from interface org.hibernate.query.QueryProducer

      `createNamedQuery, createNativeQuery, createNativeQuery, createNativeQuery, createSQLQuery, getNamedNativeQuery, getNamedQuery, getNamedSQLQuery`

    - ### Methods inherited from interface java.lang.AutoCloseable

      `close`

    - ### Methods inherited from interface org.hibernate.search.jpa.FullTextEntityManager

      `createIndexer, flushToIndexes, getSearchFactory, index, purge, purgeAll`

- - ### Method Detail

    - #### createFullTextQuery

          FullTextQuery createFullTextQuery(Query luceneQuery,
                                            Class<?>... entities)

      Description copied from interface: `FullTextEntityManager`
      Create a fulltext query on top of a native Lucene query returning the matching objects of type `entities` and their respective subclasses.
      Specified by:
        `createFullTextQuery` in interface `FullTextEntityManager`
      Parameters:
        `luceneQuery` - The native Lucene query to be rn against the Lucene index.
        `entities` - List of classes for type filtering. The query result will only return entities of the specified types and their respective subtype. If no class is specified no type filtering will take place.
      Returns:
        A `FullTextQuery` wrapping around the native Lucene wuery.

    - #### createFullTextQuery

          FullTextQuery createFullTextQuery(QueryDescriptor descriptor,
                                            Class<?>... entities)

      Description copied from interface: `FullTextEntityManager`
      Creates a fulltext query from the given query descriptor.
      Specified by:
        `createFullTextQuery` in interface `FullTextEntityManager`
      Parameters:
        `descriptor` - The query descriptor
        `entities` - List of classes for type filtering. The query result will only return entities of the specified types and their respective subtype. If no class is specified no type filtering will take place.
      Returns:
        A `FullTextQuery` using the given query descriptor.

    - #### sessionWithOptions

          FullTextSharedSessionBuilder sessionWithOptions()

      Specified by:
        `sessionWithOptions` in interface `Session`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved